# any.h File Reference

## Classes

class | wxAny
| The wxAny class represents a container for any type. More...
union | wxAnyValueBuffer
| Type for buffer within wxAny for holding data. More...
class | wxAnyValueType
| wxAnyValueType is base class for value type functionality for C++ data types used with wxAny. More...

## Defines

#define | wxANY_AS(any, T)
| This is value getter macro that is more compatible with older compilers, such as Visual C++ 6.0.
#define | wxANY_CHECK_TYPE(any, T)
| This is type checking macro that is more compatible with older compilers, such as Visual C++ 6.0.
#define | wxANY_VALUE_TYPE_CHECK_TYPE(valueTypePtr, T)
| This is type checking macro that is more compatible with older compilers, such as Visual C++ 6.0.

## Enumerations

enum | { WX_ANY_VALUE_BUFFER_SIZE = 16 }
| Size of the wxAny value buffer. More...

## Define Documentation

#define wxANY_AS | ( |  | any,
|  |  | T |
| ) |  |  |

This is value getter macro that is more compatible with older compilers, such as Visual C++ 6.0.

#define wxANY_CHECK_TYPE | ( |  | any,
|  |  | T |
| ) |  |  |

This is type checking macro that is more compatible with older compilers, such as Visual C++ 6.0.

#define wxANY_VALUE_TYPE_CHECK_TYPE | ( |  | valueTypePtr,
|  |  | T |
| ) |  |  |

This is type checking macro that is more compatible with older compilers, such as Visual C++ 6.0.

## Enumeration Type Documentation

anonymous enum

Size of the wxAny value buffer.

Enumerator:

  WX_ANY_VALUE_BUFFER_SIZE |

|  | [ top ]